Bug 177209 - [PATCH] emulators/mtools: convert to options ng
Summary: [PATCH] emulators/mtools: convert to options ng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 17:20 UTC by William Grzybowski
Modified: 2013-03-26 14:50 UTC (History)
0 users

See Also:


Attachments
mtools.patch (1.08 KB, patch)
2013-03-21 17:20 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2013-03-21 17:20:00 UTC
	- Convert to options ng
	- Trim makefile header
	Redports: https://redports.org/buildarchive/20130321165800-30435/

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-21 17:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-26 14:48:29 UTC
Author: skreuzer
Date: Tue Mar 26 14:48:17 2013
New Revision: 315304
URL: http://svnweb.freebsd.org/changeset/ports/315304

Log:
  Convert to options ng
  
  PR:		ports/177209
  Submitted by:	William Grzybowski <william88@gmail.com>

Modified:
  head/emulators/mtools/Makefile

Modified: head/emulators/mtools/Makefile
==============================================================================
--- head/emulators/mtools/Makefile	Tue Mar 26 14:47:40 2013	(r315303)
+++ head/emulators/mtools/Makefile	Tue Mar 26 14:48:17 2013	(r315304)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    mtools
-# Date created:         5 October 1994
-# Whom:                 jmz
-#
+# Created by: jmz
 # $FreeBSD$
-#
 
 PORTNAME=	mtools
 PORTVERSION=	4.0.10
@@ -33,22 +29,27 @@ MAN1=		mattrib.1 mbadblocks.1 mcat.1 mcd
 MAN5=		mtools.5
 INFO=		mtools
 
-.if defined(WITHOUT_ICONV)
-CONFIGURE_ENV+=	ac_cv_header_iconv_h=no
-.else
+OPTIONS_DEFINE=	ICONV X11
+OPTIONS_DEFAULT=ICONV X11
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MICONV}
 USE_ICONV=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib -liconv
+.else
+CONFIGURE_ENV+=	ac_cv_header_iconv_h=no
 .endif
 
-.if defined(WITHOUT_X11)
-CONFIGURE_ARGS+=	--without-x
-PLIST_SUB=	X11="@comment "
-MAKE_ENV+=	WITHOUT_X11=${WITHOUT_X11}
-.else
+.if ${PORT_OPTIONS:MX11}
 USE_XORG=	x11 sm ice xau
 PLIST_SUB=	X11=""
 MAN1+=		floppyd.1 floppyd_installtest.1
+.else
+CONFIGURE_ARGS+=	--without-x
+PLIST_SUB=	X11="@comment "
+MAKE_ENV+=	WITHOUT_X11=${WITHOUT_X11}
 .endif
 
 post-patch:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steven Kreuzer freebsd_committer 2013-03-26 14:48:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!